#ifndef CALLBACKS_H
#define CALLBACKS_H

#include "LevelMenager.h"
#include "SquaresList.h"
#include "Enemies.h"

extern LevelMenager cLevelMenager;
extern SquaresList cSquaresList;
extern Enemies cEnemies;

int MouseClickLevelMenager(int x, int y, int b);
int MouseClickSquaresList(int x, int y, int b);
int MouseClickNothing(int x, int y, int b);


int MouseClickLevelMenager(int x, int y, int b) {
    
    if (!cEnemies.MouseClick(x, y))
        cLevelMenager.MouseClick(x, y, b);
    
}

int MouseClickSquaresList(int x, int y, int b) {
    
    cSquaresList.MouseClick(x, y, b);

}

int MouseClickNothing(int x, int y, int b) {
  
  //nothing 
    
}
    
#endif //CALLBACKS_H
